import { InButtonBase as t } from "./button-base/index.js";
import { InButton as p } from "./button/index.js";
import { InIconButton as m } from "./icon-button/index.js";
import { InButtonGroup as e } from "./button-group/index.js";
import { InAlert as i } from "./alert/index.js";
import { InLink as n } from "./link/index.js";
import a from "./message/src/index.js";
import { InMessageClass as Rr } from "./message/src/index.js";
import { messageProps as Ur } from "./message/src/message.js";
import { InDialog as s } from "./dialog/index.js";
import { InDialogHeader as f } from "./dialog-header/index.js";
import { InDialogContent as I } from "./dialog-content/index.js";
import { InDialogAction as d } from "./dialog-action/index.js";
import { InInputBase as x } from "./input-base/index.js";
import { InRadio as P } from "./radio/index.js";
import { InCard as l } from "./card/index.js";
import { InCardContent as c } from "./card-content/index.js";
import { InCardHeader as g } from "./card-header/index.js";
import { InCardAction as u } from "./card-action/index.js";
import { InCardMedia as b } from "./card-media/index.js";
import { InSwitch as h } from "./switch/index.js";
import { InBadge as v } from "./badge/index.js";
import { InProgress as C } from "./progress/index.js";
import { InAvatar as V } from "./avatar/index.js";
import { InAvatarGroup as A } from "./avatar-group/index.js";
import { InCheckbox as B } from "./checkbox/index.js";
import { InBreadcrumb as H } from "./breadcrumb/index.js";
import { InRipple as M } from "./ripple/index.js";
import { InDrawer as D } from "./drawer/index.js";
import { InFormLabel as S } from "./form-label/index.js";
import { InTypography as T } from "./typography/index.js";
import { InTextField as w } from "./text-field/index.js";
import { InSvgIcon as G } from "./svg-icon/index.js";
import { InFab as L } from "./fab/index.js";
import { InActionArea as k } from "./action-area/index.js";
import { InModal as y } from "./modal/index.js";
import { InPopover as F } from "./popover/index.js";
import { InDivider as O } from "./divider/index.js";
import { InList as R } from "./list/index.js";
import { InListItem as E } from "./list-item/index.js";
import { InListItemHeader as U } from "./list-item-header/index.js";
import { InCollapse as _ } from "./collapse/index.js";
import { InMenu as z } from "./menu/index.js";
import { InHeadlineText as K } from "./headline-text/index.js";
import { InChip as N } from "./chip/index.js";
import { buttonBaseProps as zr } from "./button-base/src/button-base.js";
import { avatarGroupProps as Nr } from "./avatar-group/src/avatar-group.js";
import { buttonHeight as jr, buttonProps as qr, buttonShapes as Jr, buttonVariants as Qr, textMapping as Wr } from "./button/src/button.js";
import { iconButtonProps as Zr, iconSizeMapping as $r } from "./icon-button/src/icon-button.js";
import { BUTTON_GROUP_PROVIDE_KEY as oo, buttonGroupOrientations as to, buttonGroupProps as po } from "./button-group/src/button-group.js";
import { alertIcons as eo, alertProps as io, alertVariants as no } from "./alert/src/alert.js";
import { linkProps as so, linkUnderlineStyles as fo } from "./link/src/link.js";
import { dialogProps as xo, dialogVariants as Po } from "./dialog/src/dialog.js";
import { dialogHeaderProps as co } from "./dialog-header/src/dialog-header.js";
import { dialogContentProps as uo } from "./dialog-content/src/dialog-content.js";
import { dialogActionProps as ho } from "./dialog-action/src/dialog-action.js";
import { inputBaseProps as Co } from "./input-base/src/input-base.js";
import { radioProps as Ao } from "./radio/src/radio.js";
import { switchHeight as Ho, switchProps as Mo } from "./switch/src/switch.js";
import { badgeProps as So, badgeVariants as To } from "./badge/src/badge.js";
import { progressProps as Go, progressStatus as Lo, progressVariants as ko } from "./progress/src/progress.js";
import { cardProps as Fo, cardVariants as Oo } from "./card/src/card.js";
import { cardContentProps as Eo } from "./card-content/src/card-content.js";
import { cardHeaderProps as _o } from "./card-header/src/card-header.js";
import { cardActionProps as Ko } from "./card-action/src/card-action.js";
import { cardMediaProps as Yo, cardMediaShapes as jo } from "./card-media/src/card-media.js";
import { avatarProps as Jo, avatarVariants as Qo } from "./avatar/src/avatar.js";
import { checkboxProps as Xo } from "./checkbox/src/checkbox.js";
import { breadcrumbProps as $o } from "./breadcrumb/src/breadcrumb.js";
import { drawerProps as ot, drawerVariants as tt } from "./drawer/src/drawer.js";
import { formLabelProps as mt } from "./form-label/src/form-label.js";
import { typographyProps as it } from "./typography/src/typography.js";
import { rippleProps as at } from "./ripple/src/ripple.js";
import { textFiedlVariants as ft, textFieldProps as It } from "./text-field/src/text-field.js";
import { svgIconProps as xt } from "./svg-icon/src/svg-icon.js";
import { fabProps as lt, fabVariants as ct } from "./fab/src/fab.js";
import { actionAreaProps as ut } from "./action-area/src/action-area.js";
import { modalProps as ht } from "./modal/src/modal.js";
import { popoverProps as Ct } from "./popover/src/popover.js";
import { dividerOrientations as At, dividerProps as Bt, dividerTextAlignments as Ht, dividerVariants as Mt } from "./divider/src/divider.js";
import { listAlignItems as St, listProps as Tt } from "./list/src/list.js";
import { listItemProps as Gt } from "./list-item/src/list-item.js";
import { listItemHeaderProps as kt } from "./list-item-header/src/list-item-header.js";
import { headlineTextProps as Ft } from "./headline-text/src/headline-text.js";
import { chipProps as Rt, chipVariants as Et } from "./chip/src/chip.js";
const Y = [
  t,
  p,
  m,
  e,
  i,
  n,
  a,
  s,
  f,
  I,
  d,
  x,
  P,
  h,
  v,
  C,
  l,
  c,
  g,
  u,
  b,
  V,
  A,
  B,
  H,
  M,
  D,
  S,
  T,
  w,
  G,
  L,
  k,
  y,
  F,
  O,
  R,
  E,
  U,
  _,
  z,
  K,
  N
], yr = {
  install(o) {
    Y.forEach((r) => {
      o.component(r.name, r);
    });
  }
};
export {
  oo as BUTTON_GROUP_PROVIDE_KEY,
  k as InActionArea,
  i as InAlert,
  V as InAvatar,
  A as InAvatarGroup,
  v as InBadge,
  H as InBreadcrumb,
  p as InButton,
  t as InButtonBase,
  e as InButtonGroup,
  l as InCard,
  u as InCardAction,
  c as InCardContent,
  g as InCardHeader,
  b as InCardMedia,
  B as InCheckbox,
  N as InChip,
  _ as InCollapse,
  s as InDialog,
  d as InDialogAction,
  I as InDialogContent,
  f as InDialogHeader,
  O as InDivider,
  D as InDrawer,
  L as InFab,
  S as InFormLabel,
  K as InHeadlineText,
  m as InIconButton,
  x as InInputBase,
  n as InLink,
  R as InList,
  E as InListItem,
  U as InListItemHeader,
  z as InMenu,
  a as InMessage,
  Rr as InMessageClass,
  y as InModal,
  F as InPopover,
  C as InProgress,
  P as InRadio,
  M as InRipple,
  G as InSvgIcon,
  h as InSwitch,
  w as InTextField,
  T as InTypography,
  ut as actionAreaProps,
  eo as alertIcons,
  io as alertProps,
  no as alertVariants,
  Nr as avatarGroupProps,
  Jo as avatarProps,
  Qo as avatarVariants,
  So as badgeProps,
  To as badgeVariants,
  $o as breadcrumbProps,
  zr as buttonBaseProps,
  to as buttonGroupOrientations,
  po as buttonGroupProps,
  jr as buttonHeight,
  qr as buttonProps,
  Jr as buttonShapes,
  Qr as buttonVariants,
  Ko as cardActionProps,
  Eo as cardContentProps,
  _o as cardHeaderProps,
  Yo as cardMediaProps,
  jo as cardMediaShapes,
  Fo as cardProps,
  Oo as cardVariants,
  Xo as checkboxProps,
  Rt as chipProps,
  Et as chipVariants,
  Y as components,
  yr as default,
  ho as dialogActionProps,
  uo as dialogContentProps,
  co as dialogHeaderProps,
  xo as dialogProps,
  Po as dialogVariants,
  At as dividerOrientations,
  Bt as dividerProps,
  Ht as dividerTextAlignments,
  Mt as dividerVariants,
  ot as drawerProps,
  tt as drawerVariants,
  lt as fabProps,
  ct as fabVariants,
  mt as formLabelProps,
  Ft as headlineTextProps,
  Zr as iconButtonProps,
  $r as iconSizeMapping,
  Co as inputBaseProps,
  so as linkProps,
  fo as linkUnderlineStyles,
  St as listAlignItems,
  kt as listItemHeaderProps,
  Gt as listItemProps,
  Tt as listProps,
  Ur as messageProps,
  ht as modalProps,
  Ct as popoverProps,
  Go as progressProps,
  Lo as progressStatus,
  ko as progressVariants,
  Ao as radioProps,
  at as rippleProps,
  xt as svgIconProps,
  Ho as switchHeight,
  Mo as switchProps,
  ft as textFiedlVariants,
  It as textFieldProps,
  Wr as textMapping,
  it as typographyProps
};
