import type { ExtractPropTypes, PropType } from 'vue';
export declare const buttonGroupOrientations: readonly ["horizontal", "vertical"];
export type ButtonGroupOrientations = (typeof buttonGroupOrientations)[number];
export declare const BUTTON_GROUP_PROVIDE_KEY: unique symbol;
export declare const buttonGroupProps: {
    orientation: {
        type: PropType<"horizontal" | "vertical">;
        values: readonly ["horizontal", "vertical"];
        default: string;
    };
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "text" | "filled" | "outlined" | "elevated" | "tonal") | (() => "text" | "filled" | "outlined" | "elevated" | "tonal") | ((new (...args: any[]) => "text" | "filled" | "outlined" | "elevated" | "tonal") | (() => "text" | "filled" | "outlined" | "elevated" | "tonal"))[], "text" | "filled" | "outlined" | "elevated" | "tonal", unknown, string, boolean>;
    shape: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "square" | "rounded" | "arc") | (() => "square" | "rounded" | "arc") | ((new (...args: any[]) => "square" | "rounded" | "arc") | (() => "square" | "rounded" | "arc"))[], "square" | "rounded" | "arc", unknown, string, boolean>;
    size: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large") | ((new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large"))[], "small" | "medium" | "large", unknown, string, boolean>;
    color: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => import("@interface-ui/theme").AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => import("@interface-ui/theme").AcceptableColor))[], unknown, unknown, string, boolean>;
    disableRipple: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    cs: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(StringConstructor | ObjectConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export type ButtonGroupProps = ExtractPropTypes<typeof buttonGroupProps>;
