import type { AcceptableColor } from '@interface-ui/theme';
import type { ExtractPropTypes, PropType } from 'vue';
import { type ComponentSizes } from '@interface-ui/constants';
export declare const buttonVariants: readonly ["elevated", "filled", "tonal", "outlined", "text"];
export type ButtonVariants = (typeof buttonVariants)[number];
export declare const buttonShapes: readonly ["rounded", "arc", "square"];
export type ButtonShapes = (typeof buttonShapes)[number];
export declare const buttonHeight: Record<ComponentSizes, number>;
export declare const textMapping: Record<ComponentSizes, string>;
export declare const buttonProps: {
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "text" | "filled" | "outlined" | "elevated" | "tonal") | (() => "text" | "filled" | "outlined" | "elevated" | "tonal") | ((new (...args: any[]) => "text" | "filled" | "outlined" | "elevated" | "tonal") | (() => "text" | "filled" | "outlined" | "elevated" | "tonal"))[], "text" | "filled" | "outlined" | "elevated" | "tonal", unknown, string, boolean>;
    shape: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "square" | "rounded" | "arc") | (() => "square" | "rounded" | "arc") | ((new (...args: any[]) => "square" | "rounded" | "arc") | (() => "square" | "rounded" | "arc"))[], "square" | "rounded" | "arc", unknown, string, boolean>;
    size: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large") | ((new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large"))[], "small" | "medium" | "large", unknown, string, boolean>;
    color: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor))[], unknown, unknown, string, boolean>;
    disableRipple: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    cs: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(StringConstructor | ObjectConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export type ButtonProps = ExtractPropTypes<typeof buttonProps>;
